Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.util.proxy
Interface StreamSocket

All Known Implementing Classes:
  PlainSocket

    public interface StreamSocket

Interface of all stream sockets

Version:
  $Revision: 1.3 $
Author:
  $author$

Method Summary
`void` | `close()` Close the socket
`java.lang.String` | `getDetail()` Get details about the socket
`java.net.InetAddress` | `getInetAddress()` Returns the address to which the socket is connected.
`java.io.InputStream` | `getInputStream()` Get the socket's input stream
`java.net.InetAddress` | `getLocalAddress()` Gets the local address to which the socket is bound.
`int` | `getLocalPort()` Returns the local port to which this socket is bound.
`java.io.OutputStream` | `getOutputStream()` Get the socket's output stream
`int` | `getReceiveBufferSize()` Gets the value of SO_RCVBUF
`java.lang.String` | `getRemoteHost()` Get the actual hostname
`int` | `getSendBufferSize()` Get value of the SO_SNDBUF option
`int` | `getSoTimeout()` Returns setting for SO_TIMEOUT.
`boolean` | `isConnected()` Is the socket connected?
`void` | `setReceiveBufferSize(int size)` Sets the SO_RCVBUF option
`void` | `setRemoteHost(java.lang.String remoteHost)` Set the remote hostname
`void` | `setSendBufferSize(int size)` Sets the SO_SNDBUF option
`void` | `setSoTimeout(int timeout)` Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

Method Detail

### close

    void close()
               throws java.io.IOException

  Close the socket

  Throws:
    `java.io.IOException`

### isConnected

    boolean isConnected()

  Is the socket connected?

  Returns:

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Get the socket's input stream

  Returns:
    stream
  Throws:
    `java.io.IOException`

### setSoTimeout

    void setSoTimeout(int timeout)
                      throws java.net.SocketException

  Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

  Parameters:
    `timeout` -
  Throws:
    `java.net.SocketException`

### getSoTimeout

    int getSoTimeout()
                     throws java.net.SocketException

  Returns setting for SO_TIMEOUT.

  Throws:
    `java.net.SocketException`

### getOutputStream

    java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Get the socket's output stream

  Returns:
    stream
  Throws:
    `java.io.IOException`

### getLocalAddress

    java.net.InetAddress getLocalAddress()

  Gets the local address to which the socket is bound.

  Returns:
    the local address

### getLocalPort

    int getLocalPort()

  Returns the local port to which this socket is bound.

  Returns:
    the local port

### getInetAddress

    java.net.InetAddress getInetAddress()

  Returns the address to which the socket is connected.

  Returns:
    the remote IP address

### getRemoteHost

    java.lang.String getRemoteHost()

  Get the actual hostname

  Returns:
    remote hostname

### setRemoteHost

    void setRemoteHost(java.lang.String remoteHost)

  Set the remote hostname

  Parameters:
    `remoteHost` - remote hostname

### getReceiveBufferSize

    int getReceiveBufferSize()
                             throws java.net.SocketException

  Gets the value of SO_RCVBUF

  Throws:
    `java.net.SocketException`

### setReceiveBufferSize

    void setReceiveBufferSize(int size)
                              throws java.net.SocketException

  Sets the SO_RCVBUF option

  Throws:
    `java.net.SocketException`

### setSendBufferSize

    void setSendBufferSize(int size)
                           throws java.net.SocketException

  Sets the SO_SNDBUF option

  Throws:
    `java.net.SocketException`

### getSendBufferSize

    int getSendBufferSize()
                          throws java.net.SocketException

  Get value of the SO_SNDBUF option

  Throws:
    `java.net.SocketException`

### getDetail

    java.lang.String getDetail()

  Get details about the socket

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.